"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
// TODO: try to add octokit types properly based on
// https://www.npmjs.com/package/@octokit/types
var _default = async args => {
  const octokit = args.octokit;
  let page = 0;
  const results = [];
  while (true) {
    const pageResult = (await octokit.rest.repos.listForAuthenticatedUser({
      page,
      per_page: 100
    })).data;

    // Add pageResult to all results
    results.push(...pageResult);

    // Stop the loop if there are no more results
    if (pageResult.length === 0) {
      break;
    }

    // Fetch next page
    page++;
  }
  return results;
};
exports.default = _default;

//# sourceMappingURL=fetchAllRepositories.js.map